资讯

VMware vSphere 6.7 发行说明(不支持旧款CPU)等信息

MarginNote 3 - Mac端PDF阅读批注工具 激活码价格:¥69.00
赤友 NTFS for Mac 助手 -  磁盘硬盘格式读写软件注册激活码价格:¥35.00
虫洞 -  iPhone安卓投屏操控 电脑手机多屏协同,价格:¥45.00
namesilo全网最便宜域名注册商,输入折扣码:nsilo20立减1美元!

更新日期:2017年4月17日
ESXi 6.7 | 17年4月17日| ISO Build 8169922
vCenter Server 6.7 | 17年4月17日| ISO Build 8217866
vCenter Server Appliance 6.7 | 17年4月17日| Build 8217866
检查这些发行说明的添加和更新。

新版本是什么?

此版本的VMware vSphere 6.7包括ESXi 6.7和vCenter Server 6.7。请阅读VMware vSphere 6.7新增功能中的新增功能和增强功能。VMware vSphere 6.7 发行说明(不支持旧款CPU)等信息

国际化

VMware vSphere 6.7提供以下语言版本:

  • 英语
  • 法国
  • 德语
  • 西班牙语
  • 日本
  • 朝鲜的
  • 简体中文
  • 繁体中文

vSphere 6.7的组件(包括vCenter Server,vCenter Server Appliance,ESXi,vSphere Client,vSphere Web Client和VMware Host Client)不接受非ASCII输入。

兼容性

ESXi和vCenter Server版本兼容性

在  VMware的产品互操作性列表  详细介绍了VMware vSphere组件的当前和早期版本包括ESXi,VMware vCenter服务器和可选的VMware产品的兼容性问题。 在安装ESXi或vCenter Server之前,还请查看  VMware产品互操作性列表以获取有关支持的管理和备份代理的信息。

vSphere Update Manager,vSphere Client和vSphere Web Client与vCenter Server一起打包。

ESXi的硬件兼容性

要查看与vSphere 6.7兼容的处理器,存储设备,SAN阵列和I / O设备的列表,请使用VMware兼容性指南中的ESXi 6.7信息  。

ESXi的设备兼容性

要确定哪些设备与ESXi 6.7兼容,请使用VMware兼容性指南中的ESXi 6.7信息  。

ESXi的客户操作系统兼容性

要确定哪些客户机操作系统与vSphere 6.7兼容,请使用VMware兼容性指南中的ESXi 6.7信息  。

ESXi的虚拟机兼容性

ESXi 6.7支持与ESX 3.x及更高版本(硬件版本4)兼容的虚拟机。不支持与ESX 2.x及更高版本(硬件版本3)兼容的虚拟机。要在ESXi 6.7上使用此类虚拟机,请升级虚拟机兼容性。请参阅ESXi升级文档。

本版本的安装和升级

此版本的安装说明

阅读“ ESXi安装和设置”以及“  vCenter Server安装和设置” 文档,以获取关于安装和配置ESXi和vCenter Server的指导。

尽管安装很简单,但后续的几个配置步骤至关重要。阅读以下文档:

VMware推出了一个新的最高配置工具来帮助您规划vSphere部署。使用此工具可查看虚拟机,ESXi,vCenter Server,vSAN,网络等的VMware推荐限制。您还可以比较两个或更多产品版本的限制。在VMware的最高配置工具在较大格式的设备上,如台式机和笔记本电脑的最佳效果。

VMware Tools捆绑ESXi 6.7中的更改

在ESXi 6.7中,VMware Tools 10.2 ISO映像的一个子集与ESXi 6.7主机捆绑在一起。

以下VMware Tools 10.2 ISO映像与ESXi捆绑在一起:

  • windows.iso:适用于Windows Vista或更高版本的VMware Tools映像
  • linux.iso:适用于Linux操作系统且具有glibc 2.5或更高版本的VMware Tools映像

以下VMware Tools 10.2 ISO映像可供下载:

  • solaris.iso:Solaris的VMware Tools映像
  • freebsd.iso:FreeBSD的VMware Tools映像
  • darwin.iso:适用于OSX的VMware Tools映像

请按照以下文档中列出的步骤为未与ESXi捆绑的平台下载VMware Tools:

迁移第三方解决方案

有关使用第三方自定义进行升级的信息,请参阅ESXi升级文档。有关使用Image Builder制作自定义ISO的信息,请参阅“  ESXi安装和设置”文档。

升级和安装不允许用于不支持的CPU

比较vSphere 6.5支持的处理器,vSphere 6.7不再支持以下处理器:

  • AMD Opteron 13xx系列
  • AMD Opteron 23xx系列
  • AMD Opteron 24xx系列
  • AMD Opteron 41xx系列
  • AMD Opteron 61xx系列
  • AMD Opteron 83xx系列
  • AMD Opteron 84xx系列
  • 英特尔酷睿i7-620LE处理器
  • 英特尔i3 / i5 Clarkdale系列
  • 英特尔至强31xx系列
  • 英特尔至强33xx系列
  • 英特尔至强34xx Clarkdale系列
  • 英特尔至强34xx Lynnfield系列
  • 英特尔至强35xx系列
  • 英特尔至强36xx系列
  • 英特尔至强52xx系列
  • 英特尔至强54xx系列
  • 英特尔至强55xx系列
  • 英特尔至强56xx系列
  • 英特尔至强65xx系列
  • 英特尔至强74xx系列
  • 英特尔至强75xx系列

在安装或升级过程中,安装程序将检查主机CPU与vSphere 6.7的兼容性。如果主机硬件不兼容,会出现紫色屏幕,并显示不兼容性信息消息,vSphere 6.7安装过程停止。

vSphere 6.7版本支持以下CPU,但未来的vSphere版本可能不支持它们。请相应规划:

  • Intel Xeon E3-1200(SNB-DT)
  • 英特尔至强E7-2800 / 4800/8800(WSM-EX)

此版本的升级说明

有关升级ESXi主机和vCenter Server的说明,请参阅“  ESXi升级”和“  vCenter Server升级” 文档。

vSphere的开源组件6.7

http://www.vmware.com上提供了适用于vSphere 6.7中分发的开源软件组件的版权声明和许可证  。您需要登录到您的My VMware帐户。然后,从“  下载”  菜单中选择“  vSphere”。在  开放源代码  标签上,您还可以下载任何GPL,LGPL或其他类似许可证的源文件,这些许可证需要源代码或源代码修改才能用于最新版本的vSphere。

产品支持声明

  • vSphere 6.7版本是vCenter Server for Windows的最终版本。在此发行版之后,vCenter Server for Windows将不可用。有关更多信息,请参阅“  告别”,适用于Windows的vCenter Server
  • 在vSphere 6.7中,vSphere Client(HTML5)具有许多新功能,并且几乎是具有vSphere Web Client(Flex)所有功能的全功能客户端。此版本中提供了管理vCenter Server操作所需的大部分功能,包括vSAN和对vSphere Update Manager(VUM)的初始支持。有关不支持的功能的最新列表,请参见“vSphere Client指南”的功能更新。vSphere 6.7继续提供vSphere Web Client,您可以将它用于vSphere Client中缺少的所有高级vCenter Server操作。但是,VMware计划在未来的版本中弃用vSphere Web Client。有关更多信息,请参见  vSphere Web Client的Goodbye。VMware Host Client是基于Web的应用程序,可用于管理未连接到vCenter Server系统的单个ESXi主机。
  • vSphere 6.7版本是两套vSphere Client API的最终版本:vSphere Web Client API(Flex)和当前的一组vSphere Client API(HTML5),也称为Bridge API。作为vSphere 6.7版本的一部分,新增了一组vSphere Client API。这些新的API旨在扩展和支持用例,并改进vSphere Client的安全性,设计和可扩展性。
  • VMware不赞成使用webplatform.js,它将以改进的方式取代,将更新推送到合作伙伴插件解决方案中,而vSphere Client SDK更新没有任何生命周期依赖关系。注意:如果您有vSphere Client的现有插件解决方案,则必须升级Virgo服务器。除非进行此升级,否则现有的vSphere Client插件将不会与vSphere 6.7版本兼容。有关升级  Virgo服务器的信息,请参阅  升级插件以保持与vSphere Client SDK 6.7的兼容性
  • 在vSphere 6.7中,默认情况下仅启用TLS 1.2。TLS 1.0和TLS 1.1默认是禁用的。如果将vCenter Server或Platform Services Controller升级到vSphere 6.7,并且该vCenter Server实例或Platform Services Controller实例连接到ESXi主机,其他vCenter Server实例或其他服务,则可能会遇到通信问题。要解决此问题,可以使用TLS Configurator实用程序在vSphere 6.7系统上临时启用较早版本的协议。然后,您可以在所有连接使用TLS 1.2后禁用较旧的不太安全的版本。有关信息,请参阅vSphere 6.7文档集中的使用TLS Configurator Utility管理TLS协议配置。在vSphere 6.7发行版中,vCenter Server不支持Oracle数据库的TLS 1.2连接。
  • vSphere 6.7版本是最终版本,支持通过UI用自定义证书替换VMCA颁发的解决方案用户证书。在未来的版本中将继续支持通过UI更新使用VMCA颁发的证书的解决方案用户证书。
  • vSphere 6.7版本是最终版本,需要客户指定SSO站点。对于任何vSphere功能,此描述符不是必需的,并且将被删除。未来的vSphere版本将不包含SSO站点作为客户可配置项目。
  • 您无法在具有IPv6网络的ESXi 6.0原始发行版上安装VMware vCenter Server Appliance 6.7。而应在ESXi 6.0 Update 1a或更高版本上将vCenter Server Appliance与IPv6网络一起安装。
  • Update Manager 6.7版本中不推荐使用虚拟设备的升级和修补程序操作。
  • 用于VMWare Tools的Windows Vista之前的ISO映像不再与vSphere 6.7发行版一起打包。Windows Vista之前的ISO映像可供需要它的用户下载。有关下载信息,请参阅VMWare工具下载
  • vCenter Server和Photon设备中包含的TFTP服务不受VMware的支持。建议仅将此服务用于测试和开发目的,而不是生产环境。通过使用此服务,您承认并同意您仅在使用本服务时自负风险。VMware保留在未来版本中删除此服务的权利。

已知的问题

安装,升级和迁移问题

  • 由于HPE ProLiant DL380 / 360 Gen 9服务器上的内存损坏,ESXi安装或升级失败此问题发生在具有Smart Array P440ar存储控制器的HPE ProLiant - DL380 / 360 Gen 9服务器上。解决方法:在安装或升级ESXi之前,将服务器BIOS模式设置为UEFI。
  • ESXi升级到版本6.7并随后回滚到版本6.5或更低版本后,可能会遇到错误消息并失败在ESXi主机恢复到6.5或更早版本后执行以下任一操作时,您可能会看到故障和错误消息:
    • 在主机上安装修补程序和VIB
      错误消息:[DependencyError] VIB VMware_locker_tools-light需要esx-version> = 6.6.0
    • 在VM上安装或升级VMware Tools
      错误消息:无法安装VMware Tools。

    在ESXi从版本6.7回滚之后,新的工具 - 轻型VIB不会恢复到早期版本。因此,VIB与导致这些问题的回滚ESXi主机不兼容。

    解决方法:执行以下操作来解决此问题。

    SSH到主机并运行以下命令之一:

    esxcli软件振动安装-v /path/to/tools-light.vib

    要么

    esxcli软件振动安装-d /路径/到/ depot / zip -n tools-light

    VIB拉链是当前正在运行的ESXi版本。

    注意:对于已安装新VMware Tools的VM,不必在ESXi主机回滚时恢复VMware Tools。

  • 密码中使用的特殊字符反斜杠(\)或双引号(“)”会导致安装预检失败如果在vCenter Server Appliance安装模板期间在ESXi,vCenter Single Sign-On或操作系统密码字段中使用了特殊字符反斜杠(\)或双引号(“),则安装预检会失败,并显示以下错误:Error message: com.vmware.vcsa.installer.template.cli_argument_validation: Invalid \escape: line ## column ## (char ###)解决方法:如果在ESXi,操作系统或Single-Sign-On密码中包含特殊字符反斜杠(\)或双引号(“),则需要转义特殊字符。例如,密码pass\word应该转义为pass\\word
  • 当密码中存在非ASCII字符时,Windows vCenter Server 6.7安装程序失败当单一登录密码包含中文,日文,韩文和台湾语区域的非ASCII字符时,Windows vCenter Server 6.7安装程序会失败。解决方法:确保单点登录密码仅包含中文,日文,韩文和台湾语区域的ASCII字符。
  • 如果冒号(:)是vCenter Server根密码的一部分,则无法登录到vSphere Appliance Management Interface在安装vCenter Server Appliance UI(第1阶段的设置设备VM页面)期间,如果将冒号字符(:)作为vCenter Server根密码的一部分包含在内,则登录到vSphere Appliance Management Interface()将失败,登录。安装期间密码可能会被密码规则检查接受,但登录失败。https://vc_ip:5480解决方法:不要使用冒号字符(:)在vCenter Server Appliance UI(设置阶段1的设备VM)中设置vCenter Server根密码。
  • 当vCenter Single Sign-On密码中包含反斜线字符(\)时,vCenter Server Appliance安装将失败在安装vCenter Server Appliance UI(阶段2的SSO设置页)期间,如果将反斜杠字符(\)作为vCenter Single Sign-On密码的一部分包含在内,则安装将失败并显示错误Analytics Service registration with Component Manager failed。密码可能会被密码规则检查接受,但安装失败。解决方法:请勿使用反斜杠字符(\)在vCenter Server Appliance UI安装程序(阶段2的SSO设置页面)中设置vCenter Single Sign-On密码,
  • 在出现错误的HP ProLiant Gen 9服务器上,脚本化的ESXi安装失败 在以下情况下在HP ProLiant Gen 9服务器上执行脚本化ESXi安装时:
    • 嵌入式用户分区选项在BIOS中启用。
    • 安装过程中使用多个USB驱动器:一个USB驱动器包含ks.cfg文件,其他USB驱动器未格式化并可用。

    安装失败,错误消息分区未初始化

    解决方法:

    1. 在服务器BIOS中禁用嵌入式用户分区选项。
    2. 使用文件系统格式化未格式化的USB驱动器或从服务器上拔下它。
  • 如果vCenter Server包含非ASCII或高位ASCII命名的5.5主机配置文件,则Windows vCenter Server 6.0.x或6.5.x升级到vCenter Server 6.7将失败当源Windows vCenter Server 6.0.x或6.5.x包含以非ASCII或高ASCII字符命名的vCenter Server 5.5.x主机配置文件时,升级预先检查过程中UpgradeRunner无法启动。解决方法:在将Windows vCenter Server 6.0.x或6.5.x升级到vCenter Server 6.7之前,请将具有非ASCII或高ASCII命名主机配置文件的ESXi 5.5.x升级到ESXi 6.0.x或6.5.x,然后更新通过单击主机中的复制设置从已升级的主机接收主机配置文件。
  • 如果vCenter Single Sign-On密码包含非ASCII字符,则无法使用-x选项运行camregister命令例如,当您camregister使用-x 文件选项运行该命令时,要注册vSphere Authentication Proxy,当vCenter Single Sign-On密码包含非ASCII字符时,该进程将失败并显示访问被拒绝错误。解决方法:使用ASCII字符设置vCenter Single Sign-On密码,或者在运行命令以输入包含非ASCII字符的vCenter Single Sign-On密码时使用–p 密码选项camregister
  • 升级到vCenter Server 6.7后,Bash shell和SSH登录被禁用升级到vCenter Server 6.7后,您无法使用Bash shell或SSH登录访问vCenter Server Appliance。解决方法:
    1. 成功升级到vCenter Server 6.7之后,登录到vCenter Server Appliance管理界面。在Web浏览器中,转至:https:// appliance_ip_address_or_fqdn:5480
    2. 以root身份登录。
      默认的根密码是您在部署vCenter Server Appliance时设置的密码。
    3. 单击访问,然后单击编辑。
    4. 编辑Bash shell和SSH登录的访问设置。
      启用对vCenter Server Appliance的Bash shell访问时,请输入启用访问的分钟数。
    5. 点击OK保存设置。
  • 如果先前未启用传输层安全性1.2,则在Windows Server 2008 R2上安装vCenter Server for Windows 6.0时会阻止管理节点迁移如果要在Windows Server 2008 R2上使用外部Platform Services Controller(MxN拓扑)迁移vCenter Server for Windows 6.0,则会出现此问题。在迁移外部平台服务控制器(PSC)之后,当您在管理节点上运行迁移助理时,它失败,报告它无法检索PSC版本。发生此错误是因为Windows Server 2008 R2默认不支持传输层安全性(TLS)1.2,这是Platform Services Controller 6.7的默认TLS协议。解决方法:为Windows Server 2008 R2.1启用TLS 1.2。
    1. 导航到注册表项: HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols
    2. 创建一个新文件夹并为其添加标签TLS 1.2
    3. 用该TLS 1.2 文件夹创建两个新密钥,并将密钥命名为Client和Server。
    4. 在客户端密钥下,创建两个DWORD(32位)值,并将它们命名为DisabledByDefault和Enabled。
    5. 在服务器键下,创建两个DWORD(32位)值,并将它们命名为DisabledByDefault和Enabled。
    6. 确保Value字段设置为0,并且基础为DisabledByDefault的十六进制。
    7. 确保“值”字段设置为1,并且“基础”为启用的十六进制。
    8. 重新启动Windows Server 2008 R2计算机。

    有关在Windows Server 2008 R2中使用TLS 1.2的更多信息,请参阅操作系统供应商的文档。

  • 包含版本低于6.0的主机配置文件的vCenter Server在升级到版本6.7期间失败vCenter Server 6.7不支持版本低于6.0的主机配置文件。要升级到vCenter Server 6.7,必须先将主机配置文件升级到6.0或更高版本,前提是您有以下任何组件:
    • ESXi主机版本 - 5.1或5.5
    • vCenter Server版本 - 6.0或6.5
    • 主机配置文件版本 - 5.1或5.5

    解决方法:请参阅知识库文章52932

  • 升级到vCenter Server 6.7后,将丢弃对ESXi主机的/ etc / ssh / sshd_config文件的任何编辑,并将该文件还原到vCenter Server 6.7默认配置由于/etc/ssh/sshd_config文件中默认值的更改,vCenter Server 6.7升级会使用默认配置将任何手动编辑替换为此配置文件。由于某些先前的设置(例如,允许的密码)不再与当前的ESXi行为兼容,并且阻止SSHD(SSH守护程序)正确启动,因此此更改是必需的。小心:/etc/ssh/sshd_config不建议进行编辑。SSHD在默认情况下处于禁用状态,编辑系统配置的首选方法是通过VIM API(包括ESXi主机客户端界面)或ESXCLI。解决方法:如果/etc/ssh/sshd_config需要进行编辑,则可以在成功完成vCenter Server 6.7升级后应用它们。默认配置文件现在包含一个版本号。保留版本号以避免覆盖文件。

    有关编辑/etc/ssh/sshd_config文件的更多信息,请参阅以下知识库文章:

    • 有关启用公钥/私钥身份验证的信息,请参阅知识库文章KB 1002866
    • 有关更改默认SSHD配置的信息,请参阅知识库文章KB 1020530

安全功能问题

  • Windows客户操作系统中vSphere上的基于虚拟化的安全性(VBS)RS1,RS2和RS3要求在客户操作系统中启用HyperV。Windows客户操作系统中vSphere上的基于虚拟化的安全性(VBS)RS1,RS2和RS3要求在客户操作系统中启用HyperV。解决方法:在Windows Server 2016上启用Hyper-V平台。在服务器管理器中的本地服务器下,选择管理 - >添加角色和功能向导,并在基于角色或基于功能的安装下,从服务器池中选择Hyper-V并指定服务器角色。为服务器角色,功能,Hyper-V,虚拟交换机,迁移和默认存储选择默认值。重新启动主机。在Windows 10上启用Hyper-V:浏览至控制面板 - >程序 - >打开或关闭Windows功能。检查包含Hyper-V管理程序和Hyper-V服务的Hyper-V平台。取消选中Hyper-V管理工具。点击确定。重新启动主机。

网络问题

  • Hostprofile PeerDNS标志在某些情况下不起作用如果在具有关联主机配置文件的无状态主机上针对vmknic启用了PeerDNS for IPv4,则在主机重新启动后,iPv6PeerDNS可能在提取的主机配置文件中显示为具有不同状态。解决方法:无。
  • 将vSphere Distributed Switches升级到版本6.6时,可能会遇到一些已知问题在升级期间,连接的虚拟机可能会在几秒钟内丢失数据包。解决方法:如果您有多个需要升级到版本6.6的vSphere Distributed Switch,请依次升级交换机。在维护时段内调度vSphere Distributed Switch的升级,将DRS模式设置为手动,并且在升级期间不应用DRS建议。

    有关已知问题和解决方案的更多详细信息,请参阅KB 52621

  • 当启用网络I / O控制并且所有活动上行链路都关闭时,VM无法启动启用网络I / O控制并满足以下条件时,虚拟机无法启动:
    • VM连接到vSphere Distributed Switch上的分布式端口组
    • VM配置了带宽分配预留,VM的网络适配器(vNIC)配置了预留
    • 分布式端口组合作策略设置为故障转移
    • 分布式交换机上的所有活动上行链路都已关闭。在这种情况下,vSphere DRS无法使用备用上行链路,并且VM无法启动。

    解决方法:将可用的备用适配器移到分布式端口组的成组策略中的活动适配器列表。

  • 在使用qfle3f驱动程序的NIC上进行网络拍打可能会导致ESXi主机崩溃当使用qfle3f驱动程序的物理网卡每1-2秒钟经历一次频繁的链接状态抖动时,qfle3f驱动程序可能会导致ESXi主机崩溃(PSOD)。解决方法:确保网络振荡不会发生。如果链接状态振荡​​间隔超过10秒,则qfle3f驱动程序不会导致ESXi崩溃。有关更多信息,请参阅KB 2008093
  • 数据包分析器无法识别ERSPAN Type III的端口镜像流量数据包在ERSPAN III型数据包报头中错误引入的错误位会导致所有ERSPAN III型数据包在数据包分析器中出现损坏。解决方法:如果您的流量分析器支持这些类型,请使用GRE或ERSPAN II型数据包。
  • 非默认TCP / IP堆栈不支持DNS配置esxcli命令不支持非默认TCP / IP堆栈的DNS配置。诸如esxcli network ip dns server add -N vmotion -s 10.11.12.13不起作用的命令。解决方法:不要在非默认TCP / IP堆栈上使用DNS配置esxcli命令。
  • 将适用于vmknic界面的已启用默认IPv4网关的主机配置文件应用时,符合性检查会失败并显示错误当为启用vmknic界面的默认IPv4网关应用主机配置文件时,设置将填充“0.0.0.0”,并且与主机信息不匹配,导致出现以下错误:IPv4 vmknic gateway configuration doesn't match the specification解决方法:
    1. 编辑主机配置文件设置。
    2. 导航到网络配置 > 主机虚拟网卡主机端口组 >(vSphere Distributed Switch名称或端口组名称)> IP地址设置
    3. 默认网关Vmkernal网络适配器(IPv4)下拉菜单中,选择为vmknic选择默认IPv4网关并输入Vmknic默认IPv4网关
  • 英特尔Fortville系列NIC无法接收选项长度大于255字节的Geneve封装数据包如果您配置选项长度大于255字节的Geneve封装,则在Fortinet网卡X710,XL710和XXV710上未正确接收数据包。解决方法:通过运行以下命令禁用这些NIC上的硬件VLAN剥离:esxcli network nic software set --untagging=1 -n vmnicX.
  • 迁移后RSPAN_SRC镜像会话失败当连接到为RSPAN_SRC镜像会话分配的端口的VM迁移到其他主机时,并且目标主机的目标网络上没有必需的pNic时,RSPAN_SRC镜像会话将无法在端口上配置。这会导致端口连接失败,但vMotion迁移过程成功。解决方法:要恢复端口连接失败,请完成以下任一操作:
    • 删除失败的端口并添加一个新端口。
    • 禁用端口并启用它。

    镜像会话无法配置,但端口连接已恢复。

存储问题

  • NFS数据存储区间歇性变为只读当NFS vmknic暂时丢失其IP地址或无状态主机重新启动后,主机的NFS数据存储区可能会变为只读。解决方法:您可以卸载并重新装入数据存储,以通过NFS vmknic重新获得连接。您还可以将NFS数据存储写入权限设置为NFS vmknic的IP地址和Management vmknic的IP地址。
  • 在编辑虚拟机的存储策略时,选择主机本地PMem存储策略失败并出现错误 在“ 编辑虚拟机存储策略”对话框中,如果 从下拉菜单中选择主机本地PMem存储策略并单击确定,则任务将失败并出现以下错误之一:The operation is not supported on the object.要么

    Incompatible device backing specified for device '0'"Detailed

    解决方法:您无法将主机本地PMem存储策略应用于VM主目录。对于虚拟磁盘,可以使用迁移向导来迁移虚拟磁盘并应用主机本地PMem存储策略。

  • 群集中的ESXi主机从永久性设备丢失状态恢复后,数据存储可能显示为无法访问在群集中的主机共享大量数据存储的环境中可能会发生此问题,例如512到1000个数据存储区。
    在集群中的主机从永久性设备丢失状况恢复后,数据存储在主机级别成功安装。但是,在vCenter Server中,多个数据存储可能会继续显示为多个主机无法访问。解决办法:在vCenter Server视图中显示不可访问的数据存储的主机上,从vCenter Server执行重新扫描存储操作。
  • 在混合的ESXi 6.5和6.7主机环境中,虚拟机从VMFS3数据存储迁移到VMFS5失败如果您有混合主机环境,则无法将虚拟机从连接到ESXi 6.5主机的VMFS3数据存储迁移到ESXi 6.7主机上的VMFS5数据存储。解决方法:将VMFS3数据存储升级到VMFS5,以便能够将VM迁移到ESXi 6.7主机。
  • 使用CLI升级VMFS3数据存储后,有关VMFS3数据存储的警告消息保持不变通常,使用CLI升级在ESXi升级期间升级失败的VMFS3数据存储。由于以下几个原因,VMFS3数据存储可能无法升级:
    • VMFS3数据存储上没有空间可用。
    • 跨区数据存储区上的其中一个扩展区处于脱机状态。

    在修复故障原因并使用CLI将VMFS3数据存储升级到VMFS5后,主机将继续检测VMFS3数据存储并报告以下错误:

    已过时的VMFS(版本3)卷。将此类卷升级到VMFS(ver5)对于vSphere 6.7主机的持续可用性是强制性的。

    解决方法:要删除错误消息,请使用/etc/init.d/hostd restart命令重新启动hostd 或重新启动主机。

  • Mellanox ConnectX-4 / ConnectX-5本机ESXi驱动程序的默认队列接收端缩放(DRSS)功能打开时可能会出现性能下降接收端缩放(RSS)技术将传入的网络流量分布在多个基于硬件的接收队列中,允许多个CPU处理入站流量。在默认队列接收端缩放(DRSS)模式下,整个设备处于RSS模式。该驱动程序向操作系统提供单个逻辑队列,并由多个硬件队列提供支持。Mellanox ConnectX-4和ConnectX-5适配卡的本机nmlx5_core驱动程序默认启用DRSS功能。虽然DRSS有助于提高许多工作负载的性能,但可能会导致某些多虚拟机和多vCPU工作负载的性能下降。解决方法:如果观察到显着的性能下降,则可以禁用DRSS功能。
    1. 运行esxcli系统模块参数set -m nmlx5_core -p DRSS = 0 RSS = 0命令。
    2. 重新启动主机。
  • 数据存储名称不会提取到主机配置文件中的Coredump文件设置当您提取主机配置文件时,主机配置文件的Coredump文件设置中的数据存储名称字段为空。使用esxcli命令设置coredump时出现问题。解决方法:
    1. 从ESXi主机提取主机配置文件。
    2. 编辑主机配置文件设置并导航到常规系统设置 > 核心转储配置 > Coredump文件
    3. 选择使用显式数据存储区和大小选项创建Coredump文件,然后输入数据存储区名称,您希望Coredump文件驻留的位置。
  • 当主机重新启动时,在ESXi主机上配置的本地软件FCoE适配器可能会消失成功启用由vmkfcoe驱动程序支持的本机软件FCoE适配器(vmhba)并重新启动主机后,适配器可能会从适配器列表中消失。当您使用qfle3驱动程序支持的Cavium QLogic 57810或QLogic 57840 CNA时可能会发生这种情况。解决方法:要恢复vmkfcoe适配器,请执行以下步骤:
    1. 运行esxcli存储核心适配器列表命令以确保适配器从列表中缺失。
    2. 验证与缺少的FCoE适配器关联的vmnic上的vSwitch配置。
    3. 运行以下命令以发现FCoE vmhba:
      • 在结构设置上:
        #esxcli fcoe nic discover -n vmnic_number
      • 在VN2VN设置上:
        #esxcli fcoe nic discover -n vmnic_number
  • 在某些软件FCoE环境中尝试在ESXi 6.7主机上创建VMFS数据存储可能会失败如果使用以下配置,则尝试创建VMFS数据存储失败:
    • 在ESXi 6.7主机上配置的本地软件FCoE适配器。
    • Cavium QLogic 57810或57840 CNA。
    • Cisco FCoE交换机直接连接到Dell EMC VNX5300或VNX5700系列存储阵列上的FCoE端口。

    解决方法:无。

    作为替代,您可以切换到以下端对端配置:
    DELL EMC VNX5300和VNX5700系列中的ESXi主机> Cisco FCoE交换机> FC交换机>存储阵列。

备份和还原问题

  • Windows资源管理器使用unicode显示一些备份,与浏览器和文件系统路径显示方式不同包含unicode的某些备份在Windows资源管理器文件系统文件夹中显示的方式与在浏览器和文件系统路径中显示的方式不同。解决方法:使用http,https或ftp,可以使用Web浏览器浏览备份,而无需通过Windows资源管理器访问存储文件夹位置。

vCenter Server Appliance,vCenter Server,vSphere Web Client和vSphere Client问题

  • 升级vCenter Server Appliance时不保留时间同步模式设置如果在源vCenter Server Appliance上禁用NTP时间同步,并且执行升级到vCenter Server Appliance 6.7,则在升级成功完成NTP后,将在新升级的设备上启用时间同步。解决方法:
    1. 成功升级到vCenter Server Appliance 6.7后,以root用户身份登录到vCenter Server Appliance管理界面。默认的根密码是您在部署vCenter Server Appliance时设置的密码。
       https://IP_or_FQDN_of_appliance:5480
    2. 在vCenter Server Appliance管理界面中,单击时间。
    3. 在时间同步窗格中,单击编辑。
    4. 从模式下拉菜单中选择禁用。新升级的vCenter Server Appliance 6.7将不再使用NTP时间同步,而是使用系统时区设置。
  • 使用Windows会话身份验证登录到vSphere Web Client时,在版本为54或更高版本的Firefox浏览器上失败如果使用版本54或更高版本的Firefox登录到vSphere Web Client,并且使用Windows会话进行身份验证,则VMware增强身份验证插件可能无法填充您的用户名并登录。解决办法:如果您使用Windows会话身份验证登录vSphere Web Client,请使用以下浏览器之一:版本53及更低版本的Internet Explorer,Chrome或Firefox。
  • 在某些情况下,不会触发vCenter硬件运行状况警报通知如果ESXi主机上同一类别的多个传感器在少于五分钟的时间间隔内跳闸,则不会收到陷阱,并且不会发送电子邮件通知。解决方法:无。您可以检查硬件传感器部分是否有任何警报。
  • 使用VCSA安装程序时间同步选项时,必须将目标ESX连接到来自ESX管理的时间和日期设置中的NTP服务器如果要通过VCSA安装程序 - > Stage2->设备配置 - >时间同步选项(ESX / NTP服务器)选择与NTP服务器进行时间同步,则还需要在时间和日期设置中将目标ESX连接到NTP服务器从ESX管理,否则它将安装失败。解决方法:
    1. 在stage2->设备配置中设置时间同步选项以与ESX同步
    2. 将stage2-> Appliance配置中的Time Sync选项设置为与NTP服务器同步,确保ESX和VC都设置为连接到NTP服务器。
  • 当您监视Windows vCenter Server运行状况时,会显示一条错误消息运行状况服务不适用于Windows vCenter Server。如果选择vCenter Server,然后单击“监视”>“运行状况”,则会显示一条错误消息:Unable to query vSAN health information. Check vSphere Client logs for details.将Windows vCenter Server从版本6.0 Update 1或6.0 Update 2升级到版本6.7后,可能会出现此问题。您可以忽略此消息。

    解决方法:无。用户可以通过vCenter Server Appliance访问vSAN运行状况信息。

  • vCenter硬件运行状况警报不适用于较早的ESXi版本如果将ESXi版本6.5 Update 1或更低版本添加到vCenter 6.7,则硬件事件发生时(例如CPU温度过高,FAN故障和电压波动)将不会生成与硬件健康有关的警报。解决方法:无。
  • 在某些情况下,使用vmodl编辑或扩展磁盘时,vCenter Server将停止工作使用最新的vmodl在启用了Storage DRS的群集中配置VM磁盘时,vCenter Server将停止工作。先前使用vmodl的解决方法不再有效,并且还会导致vCenter Server停止工作。解决方法:无
  • vCenter Server for Windows迁移到vCenter Server Appliance失败,并显示错误将vCenter Server for Windows 6.0.x或6.5.x迁移到vCenter Server Appliance 6.7时,在数据导出阶段迁移可能会失败,并显示以下错误:  The compressed zip folder is invalid or corrupted。解决方法:您必须手动压缩数据导出文件夹并执行以下步骤:
    1. 在源系统中,创建一个环境变量MA_INTERACTIVE_MODE。
    2. 转到计算机>属性>高级系统设置>环境变量>系统变量>新建。
    3. 输入“MA_INTERACTIVE_MODE”作为变量名,值为0或1。
    4. 启动VMware迁移助理并提供您的密码。
    5. 从客户机开始迁移。迁移将暂停,迁移助理控制台将显示消息To continue the migration, create the export.zip file manually from the export data (include export folder)
    6. 注:请勿按迁移助理控制台上的任何按键或选项卡。
    7. 转到该  %appdata%\vmware\migration-assistant文件夹。
    8. 删除由迁移助理创建的export.zip。
    9. 要继续迁移,请从导出文件夹手动创建export.zip文件。
    10. 返回到迁移助理控制台。键入Y 并按Enter键。
  • VAMI中的内部版本号和vSphere Client中的版本号之间存在差异在vSphere 6.7中,VAMI摘要选项卡显示vCenter Server和vCenter Server Appliance产品的ISO构建。vSphere Client摘要选项卡显示vCenter产品的内部版本,该产品是vCenter Server产品中的一个组件。解决方法:无
  • vCenter Server Appliance 6.7在vCenter Server Appliance管理界面(VAMI)的“可用更新”部分显示错误消息,vCenter Server Appliance管理界面(VAMI)的“可用更新”部分显示以下错误消息:Check the URL and try again.当vCenter Server Appliance搜索并无法找到修补程序或更新时,会生成此消息。没有功能受此问题的影响。随着vSphere 6.7的第一个补丁的发布,这个问题将得到解决。

    解决方法:无。没有功能受此问题的影响。

虚拟机管理问题

  • 清单中虚拟机的名称更改为其路径名称当VM所在的数据存储进入All Paths Down状态并变得不可访问时,可能会发生此问题。当hostd正在加载或重新加载VM状态时,它无法读取VM的名称,而是返回VM路径。例如,/vmfs/volumes/123456xxxxxxcc/cs-00.111.222.333。解决方法:解决存储问题后,虚拟机将重新加载,并且其名称会再次显示。
  • 在AMD系统的客户操作系统中启用VBS时,您必须选择“安全启动”平台安全级别在AMD系统上,vSphere虚拟机不提供vIOMMU。由于DMA保护需要vIOMMU,因此AMD用户在“启用基于虚拟化的安全性”时,无法在Windows组策略编辑器中选择“安全启动和DMA保护”。而是选择“安全启动”。如果您选择了错误的选项,则会导致Windows静默地禁用VBS服务。解决方法:在AMD系统的客户操作系统中选择“安全启动”平台安全级别。
  • 在Windows中启用基于虚拟化的安全性(VBS)时,无法为Windows虚拟机热添加内存和CPU基于虚拟化的安全性(VBS)是Windows 10和Windows Server 2016中引入的一项新功能。vSphere支持从vSphere 6.7发行版开始运行启用了VBS的Windows。但是,启用基于虚拟化的安全性(VBS)后,热添加的内存和CPU将无法用于Windows VM。解决办法:关闭虚拟机,更改内存或CPU设置并打开虚拟机电源。
  • 在从故障中恢复vSAN网络后,链接克隆VM的快照树可能不完整vSAN网络故障可能会影响vSAN对象和VM的可访问性。网络恢复后,vSAN对象重新获得可访问性。hostd服务从存储重新加载虚拟机状态以恢复虚拟机。但是,对于链接克隆虚拟机,hostd可能无法检测到父虚拟机名称空间已恢复其可访问性。这会导致VM保持不可访问状态,并且VM快照信息不会显示在vCenter Server中。解决方法:取消注册VM,然后重新注册它以强制hostd重新加载VM状态。快照信息将从存储中加载。
  • OVF虚拟设备无法在vSphere Client中启动vSphere Client不支持在“部署OVF模板”向导中选择vService扩展。因此,如果OVF虚拟设备使用vService扩展并使用vSphere Client部署OVF文件,则部署将成功,但虚拟设备无法启动。解决方法:使用vSphere Web Client部署使用vService扩展的OVF虚拟设备。

vSphere HA和容错问题

  • 在vSphere 6.7 RC版本中配置手动/混合模式下的Proactive HA时,会提示您两次应用DRS建议    在vSphere 6.7 RC版本中配置手动/混合模式下的Proactive HA,并从Proactive HA提供程序插件发送红色运行状况更新时,系统会提示您两次应用群集 - >监控 - > vSphere DRS - >建议下的建议。第一个提示是将主机输入维护模式。第二个提示是迁移进入维护模式的主机上的所有虚拟机。在vSphere 6.5中,这两个步骤作为单个建议进入维护模式,其中列出了要迁移的所有VM。解决方法:对工作流程或结果没有影响。您必须两次应用建议。如果您使用自动脚本,则必须修改脚本以包含附加步骤。
  • 未配置VCHA时延迟导入升级交互VCHA功能作为6.5版本的一部分提供。从6.5开始,在保留VCHA配置的同时无法升级VCHA群集。推荐的升级方法是首先通过vSphere Client或通过调用销毁VCHA API来删除VCHA配置。因此,对于没有VCHA配置的惰性导入升级工作流程,不会与VCHA进行交互。请勿在懒惰导入过程中配置新的VCHA设置。VCHA设置需要将活动VM克隆为Passive / Witness VM。由于进行中的延迟导入,需要克隆的数据量很大,可能会导致性能问题。解决方法:无。

Auto Deploy和图像生成器问题

  • 重新启动ESXi无状态主机会重置主机的numRxQueue值如果使用vSphere Auto Deploy置备的ESXi主机重新启动,则会丢失先前设置的numRxQueue值。主机配置文件功能不支持在主机重新启动后保存numRxQueue值。解决方法:在ESXi无状态主机重新启动后:
    1. 从主机中删除vmknic。
    2. 在主机上使用期望的numRxQueue值创建一个vmknic。
  • 在驱动器上缓存后,如果服务器处于UEFI模式,则从缓存引导不会成功,除非您明确选择要从UEFI引导管理器引导的设备在无状态缓存的情况下,ESXi映像在512n,512e,USB或4Kn目标磁盘上缓存后,ESXi无状态从autodeploy引导可能会在系统重新启动时失败。如果自动部署服务关闭,则会发生这种情况。系统尝试在引导顺序中搜索磁盘上的缓存ESXi映像。如果找到了ESXi缓存映像,则会从中启动主机。在传统的BIOS中,这个功能没有问题。但是,在BIOS的UEFI模式下,可能找不到具有缓存映像的下一个设备。因此,即使磁盘上存在映像,主机也无法从映像引导。解决办法:如果自动部署服务关闭,请在系统重新引导时手动从UEFI引导管理器中选择包含缓存映像的磁盘。
  • 无状态ESXi主机启动时间可能需要20分钟或更长时间使用配置的1,000个数据存储启动无状态ESXi主机可能需要20分钟或更长时间。解决方法:无。

杂项问题

  • 使用qfle3i驱动程序声明的iSCSI LUN上运行的VM重新启动时,ESXi可能会失败如果尝试使用处于运行I / O状态的虚拟机重新启动服务器,ESXi可能会在重新启动期间运行由qfle3i驱动程序声明的iSCSI LUN上的VM。解决方法:首先关闭虚拟机,然后重新启动ESXi主机。
  • UCS VIC 13xx适配器上的Guest OS TCP流量通过IPv6不支持VXLAN无状态硬件卸载在配置为使用VXLAN无状态硬件卸载功能的Cisco UCS VIC 13xx适配器上,您可能会遇到VXLAN封装的TCP流量通过IPv6发生问题。对于涉及IPV6上的客户操作系统TCP流量的VXLAN部署,Cisco UCS VIC 13xx适配器无法正确处理受TSO影响的TCP数据包,这会导致流量中断。无状态卸载不能正确执行。从TCP协议的角度来看,这可能会导致向ESXi软件堆栈报告错误的数据包校验和,这可能会导致Guest OS中的TCP协议处理不正确。解决办法:要解决此问题,请在Cisco UCS VIC 13xx适配器上为VXLAN封装的TCP流量通过IPV6禁用VXLAN无状态卸载功能。要禁用UCS Manager中的VXLAN无状态卸载功能,请禁用Virtual Extensible LAN以太网适配器策略中的字段。要禁用Cisco C系列UCS服务器的CIMC中的VXLAN无状态卸载功能,请Enable VXLAN在以太网接口vNIC属性部分中取消选中字段。
  • 使用批量QueryUnresolvedVmfsVolume API可能需要大量时间才能列出大量未解决的VMFS卷ESXi提供批量QueryUnresolvedVmfsVolume API,以便查询和列出未解决的VMFS卷或LUN快照。然后,您可以使用其他批处理API执行操作,例如重新签名特定的未解决的VMFS卷。默认情况下,当在主机上调用API QueryUnresolvedVmfsVolume时,系统会为找到的所有未解决的卷执行附加的文件系统活性检查。活动检查检测指定的LUN是否安装在其他主机上,活动的VMFS心跳是否正在进行,或者是否有任何文件系统活动。此操作非常耗时,每个LUN至少需要16秒。因此,当您的环境中有大量快照LUN时,查询和列表操作可能需要很长时间。解决方法:要减少查询操作的时间,可以禁用文件系统活性检查。
    1. 以root用户身份登录主机。
    2. 使用文本编辑器打开hostd的配置文件。在配置文件位于/etc/vmware/hostd/config.xml插件/ hostsvc /存储 节点。
    3. 添加checkLiveFSUnresolvedVolume参数并将其值设置为FALSE。使用以下语法:<checkLiveFSUnresolvedVolume> FALSE </ checkLiveFSUnresolvedVolume>

    或者,您可以在vSphere Client 中将ESXi Advanced选项VMFS.UnresolvedVolumeLiveCheck设置为FALSE。

  • 将ESXi主机升级到版本6.7时,符合性检查将失败,并显示UserVars.ESXiVPsDisabledProtocols选项的错误,并且该版本将与6.0版主机配置文件执行以下操作时会发生问题:
    1. 从版本6.0的ESXi主机中提取主机配置文件。
    2. 将ESXi主机升级到版本6.7。
    3. 即使在修复之后,主机对于UserVars.ESXiVPsDisabledProtocols选项也显示为不合规。

    解决方法:

    • 从升级的ESXi主机中提取新的主机配置文件并将主机连接到配置文件。
    • 使用升级后的ESXi主机的“从主机复制设置”来升级主机配置文件。
  • 升级到ESXi 6.7后,英特尔10GbE NIC上的网络负载会导致更高的CPU利用率如果在升级的ESXi 6.7主机上运行某些类型的网络负载,则在下列情况下可能会看到更高的CPU利用率:
    • ESXi主机上的NIC来自Intel 82599EB或X540系列
    • 工作负载涉及同时运行的多个VM,每个VM配置有多个vCPU
    • 在升级到ESXi 6.7之前,使用了VMKLinux ixgbe驱动程序

    解决方法:恢复到旧版VMKLinux ixgbe驱动程序:

    1. 连接到ESXi主机并运行以下命令:
      # esxcli system module set -e false -m ixgben
    2. 重新启动主机。

    注意:旧版VMKLinux ixgbe收件箱驱动程序版本3.7.x不支持英特尔X550网卡。使用带有Intel X550 NIC的VMKLinux ixgbe异步驱动程序版本4.x。

  • 无法在使用外部Platform Services Controller时取消修补程序如果使用VMWare设备管理界面修补外部Platform Services Controller(MxN拓扑)并将修补程序暂存到更新存储库,然后尝试暂存修补程序,则会报告以下错误消息: Error in method invocation [Errno 2] No such file or directory: '/storage/core/software-update/stage' 解决方法:
    1. 访问设备shell并以具有超级管理员角色的用户身份登录。
    2. 运行该命令software-packages unstage 以取消暂存的修补程序。由分段进程生成的所有目录和文件都将被删除。
    3. 刷新VMware设备管理界面,该界面现在将报告修补程序被删除。
  • DELL CIM VIB的初始安装可能无法响应安装第三方CIM VIB后,它可能无法响应。解决方法:要解决此问题,请输入以下两个命令来重新启动sfcbd:
    1. esxcli system wbem set --enable false
(1)

本文由 podipod软库网 作者:Anonymous 发表,转载请注明来源!

关键词:,
ToDesk - 安全好用流畅远程控制软件 替代TeamViewer,价格:¥108.00
Eagle - 图片收集管理必备软件 激活码价格:¥119.00
PDF Expert 2 - Mac上优秀的PDF阅读编辑工具,价格:¥119.00

热评文章

发表评论